# Interface RemainingTimeDisplayComponentDependencies

interface RemainingTimeDisplayComponentDependencies {
componentOptions: RemainingTimeDisplayComponentOptions;
name: string;
type?: string;
}

#### Hierarchy (view full)

- UiComponentDependencies
  - RemainingTimeDisplayComponentDependencies

#####
Index

### Properties

componentOptions
name
type?

## Properties

### componentOptions

componentOptions: RemainingTimeDisplayComponentOptions

Overrides UiComponentDependencies.componentOptions

### name

name: string

Inherited from UiComponentDependencies.name

### `Optional` type

type?: string

Inherited from UiComponentDependencies.type